relaxngcc.datatype

## Class DatatypeLibrary

- java.lang.Object
- - relaxngcc.datatype.DatatypeLibrary

    public final class DatatypeLibrary
    extends java.lang.Object

Represents a RELAX NG datatype library

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Method Summary

Methods
`Datatype` `getDatatype(java.lang.String name)` Returns the datatype object by its name.
`java.lang.String` `getNamespaceUri()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getNamespaceUri

    public java.lang.String getNamespaceUri()

#### getDatatype

    public Datatype getDatatype(java.lang.String name)

Returns the datatype object by its name. If the definition of the datatype is not given, this method returns Datatype.NOOP.

Returns:
  always return a non-null valid object.